Bug 1722942 (cc1541) - Review Request: cc1541 - Tool for creating Commodore 1541 Floppy disk images in D64, G64 or D71 format
Summary: Review Request: cc1541 - Tool for creating Commodore 1541 Floppy disk images ...
Keywords:
Status: CLOSED ERRATA
Alias: cc1541
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-21 18:44 UTC by Björn 'besser82' Esser
Modified: 2019-07-07 00:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-30 00:56:41 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2019-06-21 18:44:48 UTC
Description:

  This is cc1541 v2.0, a tool for creating Commodore 1541
  Floppy disk images in D64, G64 or D71 format with custom sector
  interleaving etc.   Also supports extended tracks 35-40 using
  either SPEED DOS or DOLPHIN DOS BAM-formatting.


Issues:

  fedora-review shows no obvious issues.
  rpmlint just complains about missing manpages.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/cc1541.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/cc1541-2.0-0.1.fc31.src.rpm


Temporary COPR for testing:

  https://copr.fedorainfracloud.org/coprs/besser82/cc1541


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2019-06-21 18:46:35 UTC
Scratch build:  https://koji.fedoraproject.org/koji/taskinfo?taskID=35695927

Comment 2 Björn 'besser82' Esser 2019-06-21 19:25:59 UTC
Updated package:

Changelog:

  * Fri Jun 21 2019 Björn Esser <besser82@fedoraproject.org> - 2.0-0.2
  - Remove pre-built binaries from build-tree during %%prep.


Scratch build:  https://koji.fedoraproject.org/koji/taskinfo?taskID=35697522


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/cc1541.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/cc1541-2.0-0.2.fc31.src.rpm

Comment 3 Robert-André Mauchin 2019-06-21 20:20:42 UTC
 - Use install instead of %{__install} Macros beginning with 2 underscores are for rpm private use.


Package approved. Please fix the aforementioned issue before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 9 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/cc1541/review-cc1541/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package does not use a name that already exists.
     Note: Couldn't connect to Pagure, check manually
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cc1541-2.0-0.2.fc31.x86_64.rpm
          cc1541-debuginfo-2.0-0.2.fc31.x86_64.rpm
          cc1541-debugsource-2.0-0.2.fc31.x86_64.rpm
          cc1541-2.0-0.2.fc31.src.rpm
cc1541.x86_64: W: no-manual-page-for-binary cc1541
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 4 Gwyn Ciesla 2019-06-21 20:38:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/cc1541

Comment 5 Fedora Update System 2019-06-21 20:58:29 UTC
FEDORA-EPEL-2019-61698b2fae has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-61698b2fae

Comment 6 Fedora Update System 2019-06-21 20:58:33 UTC
FEDORA-2019-198185925c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-198185925c

Comment 7 Fedora Update System 2019-06-22 01:16:16 UTC
cc1541-2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-61698b2fae

Comment 8 Fedora Update System 2019-06-22 02:46:29 UTC
cc1541-2.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-499bf4afb5

Comment 9 Fedora Update System 2019-06-22 03:03:28 UTC
cc1541-2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ec0e554811

Comment 10 Fedora Update System 2019-06-22 06:04:59 UTC
cc1541-2.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-198185925c

Comment 11 Fedora Update System 2019-06-30 00:56:41 UTC
cc1541-2.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-06-30 02:26:52 UTC
cc1541-2.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-07-07 00:33:18 UTC
cc1541-2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-07-07 00:34:49 UTC
cc1541-2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.